﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushService.Act.Model
{
    public class ListModel<T>
    {
        /// <summary>
        /// 数据主Id
        /// </summary>
        public List<T> DataList { get; set; }
        /// <summary>
        /// 分页信息
        /// </summary>
        public PageInfo Page { get; set; }
    }

    /// <summary>
    /// 分页对象
    /// </summary>
    public class PageInfo
    {
        /// <summary>
        /// 总页数
        /// </summary>
        public int PageCount { get; set; }

        /// <summary>
        /// 总记录条数
        /// </summary>
        public int PageTotal { get; set; }
    }
}
